Package org.eclipse.mat.util

# Class SimpleMonitor

java.lang.Object
org.eclipse.mat.util.SimpleMonitor

public class SimpleMonitor extends Object
A way of generating several progress monitors.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SimpleMonitor.Listener`

## Constructor Summary

Constructors
Constructor
Description
`SimpleMonitor(String task, IProgressListener monitor, int[] percentages)`

## Method Summary

Modifier and Type
Method
Description
`IProgressListener`
`nextMonitor()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMonitor

public SimpleMonitor(String task, IProgressListener monitor, int[] percentages)

## Method Details

### nextMonitor

public IProgressListener nextMonitor()